<!-- <div class="row">
    <button (click)='setSelection("circle"); addShape("circle")'>Circle</button>
    <button (click)='setSelection("rectangle"); addShape("rectangle")'>Rectangle</button>
    <button (click)='setSelection("line"); addShape("line"); erase = false'>Line</button>
    <button (click)='setSelection("text"); addShape("text")'>Text</button>
    <button (click)='clearSelection(); setSelection("undo"); undo()'>Undo</button>
    <button (click)='clearSelection(); setSelection("erase"); erase = true'>Erase</button>
</div>
<div id="container" style="width: 50vw !important; height: 50vh !important; border: 1px solid black;"></div> -->


<!-- <input type="text" [(ngModel)]="data"> -->
<!-- <button (click)="updateItem()">Update Data</button> -->
<!-- 
<div>
    {{items}}
</div> -->


<!-- Fabric JS -->
<!-- <div>
    <canvas id="myCanvas" width="1000" height="500" style="border: 1px solid black"></canvas>
</div>
<button (click)="addTextField()">
    Add Text
</button>
<button (click)="addPaintBrush()">
    Add Brush
</button>
<button (click)="addRectangle()">
    Add Rectangle
</button>
<button (click)="addCircle()">
    Add Circle
</button>
<button (click)="saveJSON()">
    Save JSON
</button>
<button (click)="loadJSON()">
    Load JSON
</button>
<button (click)="undoCanvas()">
    Undo
</button>
<button (click)="clearCanvas()">
    Clear
</button> -->